/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.TajusteS;

import java.math.BigInteger;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class TajusteSFacade extends AbstractFacade<TajusteS> implements TajusteSFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public TajusteSFacade() {
        super(TajusteS.class);
    }

    @Override
    public TajusteS FindTajus(String productoCodigo, String sucursalcodigo, String programaCodigo) {
        Query q = em.createNamedQuery("TajusteS.findMultiple");
        q.setParameter("productoCodigo", productoCodigo);
        q.setParameter("sucursalCodigo", sucursalcodigo);
        q.setParameter("programaCodigo", programaCodigo);

        TajusteS rs = new TajusteS();

        if (!q.getResultList().isEmpty()) {
            rs = (TajusteS) q.getResultList().get(0);
        } else {

            rs.setCantidad(new BigInteger("0"));
        }

        return rs;
    }


}
